import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'device_type_platform_interface.dart';

/// An implementation of [DeviceTypePlatform] that uses method channels.
class MethodChannelDeviceType extends DeviceTypePlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('device_type');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
